Subject: Ticket Assigned - Payment deduction
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 04 Apr 2022 15:47:51 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Payment deduction I had placed online order today(9563205771). I received the message that the payment didn't went through, so i visited store and purchased the same item from store. Later on i came to know that the amount was deducted and order was processed.  I call the customer service and they informed that i should not collect the order and it will be refunded after 14 days as there was a technical error in system.
This was my last order from max as i will not recommend anyone to use max or any other landmark group. Why i should suffer for the error which was not caused by me. I need compensation and clarification on this.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4096777